Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface AnyWithOwnerType

All Known Implementing Classes:
  AnyWithOwnerTypeImpl

    public interface AnyWithOwnerType

type used when a third-party developer wants to insert custom XML Java content class for anyWithOwnerType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 835)

     <complexType name="anyWithOwnerType">
       <complexContent>
         <extension base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="owner" use="required" type="{http://infoml.org/infomlFile}infoRIType" />
         </extension>
       </complexContent>
     </complexType>

Method Summary
`java.util.List` | `getAny()` Gets the value of the Any property.
`java.lang.String` | `getOwner()` Gets the value of the owner property.
`void` | `setOwner(java.lang.String value)` Sets the value of the owner property.

Method Detail

### getOwner

    java.lang.String getOwner()

  Gets the value of the owner property.

  Returns:
    possible object is `String`

### setOwner

    void setOwner(java.lang.String value)

  Sets the value of the owner property.

  Parameters:
    `value` - allowed object is `String`

### getAny

    java.util.List getAny()

  Gets the value of the Any property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Any property.

  For example, to add a new item, do as follows:

          getAny().add(newItem);

  Objects of the following type(s) are allowed in the list `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD